.TH "mca_btl_self_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_self_component_t \- Shared Memory (SELF) BTL module.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_self.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL component \fP"
.ti -1c
.RI "int \fBfree_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBfree_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBfree_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBself_lock\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBself_frags_eager\fP"
.br
.RI "\fIfree list of self first \fP"
.ti -1c
.RI "ompi_free_list_t \fBself_frags_send\fP"
.br
.RI "\fIfree list of self second \fP"
.ti -1c
.RI "ompi_free_list_t \fBself_frags_rdma\fP"
.br
.RI "\fIfree list of self second \fP"
.ti -1c
.RI "mca_btl_base_recv_reg_t \fBself_reg\fP [256]"
.br
.in -1c
.SH "Detailed Description"
.PP 
Shared Memory (SELF) BTL module. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
